Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 31-01-2016 14:01:26

sagamore.fr
Membre
Lieu : Beaumont le Roger
Distrib. : Debian 8 64 bits
Noyau : Linux 3.16.0-4-amd64
(G)UI : KDE
Inscription : 23-12-2015
Site Web

[RESOLU] problémes à l'installation de Grisbi sous Debian 8 sous KDE

Bonjour.

Comme je viens de migrer définitivement sous Debian 8 sous KDE je réinstalle quelques petits programmes que j'utilisais précedemment sous Ubuntu ( les ennuis commencent smile ).

Il s'agit de Grisbi.

Je me suis rendu sur cette page    https://packages.debian.org/sid/grisbi pour télécharger la version pour amd64 :
- grisbi_1.0.0-2+b2_amd64.deb
root@danielxxxxxxxxx:/home/daniel/Téléchargements#

dpkg -i grisbi-common_1.0.0-2_all.deb



(Lecture de la base de données... 104458 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de grisbi-common_1.0.0-2_all.deb ...
Dépaquetage de grisbi-common (1.0.0-2) sur (1.0.0-2) ...
Paramétrage de grisbi-common (1.0.0-2) ...
Traitement des actions différées (« triggers ») pour gnome-icon-theme (3.12.0-1) ...
Traitement des actions différées (« triggers ») pour hicolor-icon-theme (0.13-1) ...


root@danielaubruchet:/home/daniel/Téléchargements#

dpkg -i libofx6_0.9.10-1+b1_amd64.deb



(Lecture de la base de données... 104458 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de libofx6_0.9.10-1+b1_amd64.deb ...
Dépaquetage de libofx6:amd64 (1:0.9.10-1+b1) sur (1:0.9.10-1) ...
dpkg: des problèmes de dépendances empêchent la configuration de libofx6:amd64 :
 libofx6:amd64 dépend de libstdc++6 (>= 5.2) ; cependant :
  La version de libstdc++6:amd64 sur le système est 4.9.2-10.

dpkg: erreur de traitement du paquet libofx6:amd64 (--install) :
 problèmes de dépendances - laissé non configuré
Des erreurs ont été rencontrées pendant l'exécution :
 libofx6:amd64
root@danielxxxxxxxxx:/home/daniel/Téléchargements#



Donc soucis ( pourtant j'y avais accés sous Ubuntu gnome ou KDE).
Autre bête question : pourquoi j'ai comme invite de commande ( ça se dit comme ça non ? ) root@danielxxxxxxxxx ? J'ai encore raté un truc ? J'ai mis des xxxxx à la place de mon nom.

Edit à toto :
Séparation des commandes et mis la commande wgt sous user. On ne va JAMAIS télécharger sur le net en root, c'est une perte de sécurité importante, voire fatale qu'il n'est pas obligé de prendre.

Dernière modification par sagamore.fr (31-01-2016 19:30:39)

Hors ligne

#2 31-01-2016 14:11:04

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [RESOLU] problémes à l'installation de Grisbi sous Debian 8 sous KDE

Pour la partie des textes qui te nomment, tu peux voir que toto les a placé hors de la commande et donc tu peux les supprimer de ton post en utilisant le bouton Modifier au bas de celui-ci.

Pour la forme et la mise en couleur des posts sur le forum, voir le tuto :
Voir le tuto : Le code, ça pique moins les yeux en couleur smile

Dernière modification par smolski (31-01-2016 14:12:15)


"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#3 31-01-2016 14:11:10

Frosch
Adhérent(e)
Lieu : Sion (CH)
Distrib. : Chakra
Noyau : Linux 4.5.7
(G)UI : Plasma 5.8
Inscription : 09-12-2015
Site Web

Re : [RESOLU] problémes à l'installation de Grisbi sous Debian 8 sous KDE

Hello !

Alors déjà, il ne faut pas installer de paquets pour Debian Sid sur Debian 8... en plus ici ça n'a aucun intérêt, vu que la version disponible est la même. Dans certains cas, si la dernière version d'un logiciel n'est pas disponible pour Jessie, on peut essayer de le recompiler (souvent ça marche), mais c'est une autre histoire.

Ensuite, la meilleure façon d'installer un logiciel n'est pas de télécharger le paquet puis de l'installer avec dpkg, car celui-ci ne gère pas les dépendances, d'où le problème que tu rencontres.

Pour installer Grisbi :

apt install grisbi

et tout roule wink

(on peut bien sûr aussi utiliser Synaptic ou Apper, si on préfère installer via une interface graphique)

Dernière modification par Frosch (31-01-2016 14:13:38)


Schokolade ist keine Lüge.

Hors ligne

#4 31-01-2016 14:40:05

sagamore.fr
Membre
Lieu : Beaumont le Roger
Distrib. : Debian 8 64 bits
Noyau : Linux 3.16.0-4-amd64
(G)UI : KDE
Inscription : 23-12-2015
Site Web

Re : [RESOLU] problémes à l'installation de Grisbi sous Debian 8 sous KDE

à Frosch :
daniel/Téléchargements#

apt install grisbi



Lecture des listes de paquets... Fait                                                        
Construction de l'arbre des dépendances                                                      
Lecture des informations d'état... Fait                                                      
Vous pouvez lancer « apt-get -f install » pour corriger ces problèmes :                      
Les paquets suivants contiennent des dépendances non satisfaites :                          
 libofx6 : Dépend: libstdc++6 (>= 5.2) mais 4.9.2-10 devra être installé
E: Dépendances non satisfaites. Essayez « apt-get -f install » sans paquet
(ou indiquez une solution).
 



apt-get -f install  : ça vire ce qui vient c'être installé ?

Edit à toto :
Mise la commande root isolée de son retour.

Hors ligne

#5 31-01-2016 14:55:44

Frosch
Adhérent(e)
Lieu : Sion (CH)
Distrib. : Chakra
Noyau : Linux 4.5.7
(G)UI : Plasma 5.8
Inscription : 09-12-2015
Site Web

Re : [RESOLU] problémes à l'installation de Grisbi sous Debian 8 sous KDE

Il me semble que le problème vient de ce que tu as installé en provenance de sid, qui réclame des versions plus élevées que ce qui est présent dans Jessie. Essaye de désinstaller les deux paquets en question

dpkg -r grisbi-common libofx6

puis de refaire

apt install grisbi


Schokolade ist keine Lüge.

Hors ligne

#6 31-01-2016 15:15:36

sagamore.fr
Membre
Lieu : Beaumont le Roger
Distrib. : Debian 8 64 bits
Noyau : Linux 3.16.0-4-amd64
(G)UI : KDE
Inscription : 23-12-2015
Site Web

Re : [RESOLU] problémes à l'installation de Grisbi sous Debian 8 sous KDE

Merci beucoup Frosch, ça marche big_smile

Il faut vraiment que je fasse plus attention, Ubuntu machait plus le travail.

Bon allez, direction Digikam Rawtherapee et phpmys admi...................

Merci encore

Hors ligne

#7 31-01-2016 15:22:56

Frosch
Adhérent(e)
Lieu : Sion (CH)
Distrib. : Chakra
Noyau : Linux 4.5.7
(G)UI : Plasma 5.8
Inscription : 09-12-2015
Site Web

Re : [RESOLU] problémes à l'installation de Grisbi sous Debian 8 sous KDE

Nickel ! wink

sagamore.fr a écrit :

Bon allez, direction Digikam Rawtherapee et phpmys admi...................

Tu peux installer tout ce que tu veux en une seule fois cool

apt install digikam rawtherapee phpmyadmin


Schokolade ist keine Lüge.

Hors ligne

#8 31-01-2016 18:02:45

sagamore.fr
Membre
Lieu : Beaumont le Roger
Distrib. : Debian 8 64 bits
Noyau : Linux 3.16.0-4-amd64
(G)UI : KDE
Inscription : 23-12-2015
Site Web

Re : [RESOLU] problémes à l'installation de Grisbi sous Debian 8 sous KDE

Pas de soucis avec Rawtherapee. Bon Digikam est installé mais comme la base de données n'est pas encore installée il ne trouve pas mes photo ( normal, je verrai ça aprés l'installation de phpmyadmin ).
Donc j'ai fait apt install phpmyadmin et à un moment j'ai ce message :


Outil de configuration des paquets                                                                   
                                                                                                                                                                                                         
┌─────────────────────────────────┤ Configuration de phpmyadmin ├─────────────────────────────────┐ 
│ Une erreur s'est produite lors de la création de la base de données.                            │ 
│                                                                                                 │ 
│ ERROR 2002 (HY000): Can't connect to local MySQL server through socket                          │ 
│ '/var/run/mysqld/mysqld.sock' (2)                                                               │ 
│                                                                                                 │ 
│ Vous pouvez soit recommencer soit abandonner l'opération. Si vous choisissez « Recommencer »,   │ 
│ la mise à jour sera tentée à nouveau en vous posant à nouveau les questions de configuration.   │ 
│ Avec l'option « Recommencer avec les mêmes réglages », la mise à jour sera tentée               │ 
│ immédiatement. Avec le choix « Abandonner », la mise à jour échouera et vous devrez revenir à   │ 
│ la version précédente, désinstaller et reconfigurer ce paquet, à moins d'effectuer vous-même    │ 
│ les opérations nécessaires pour continuer à l'utiliser. Enfin, le choix « Ignorer » poursuivra  │ 
│ les opérations en ignorant les erreurs ultérieures issues de dbconfig-common.                   │ 
│                                                                                                 │ 
│ Prochaine étape pour l'installation de la base de données :                                     │ 
│                                                                                                 │ 
│                               Abandonner                                                        │ 
│                               Recommencer                                                       │ 
│                               Recommencer avec les mêmes réglages                               │ 
│                               Ignorer                                                           │ 
│                                                                                                 │ 
│                                                                                                 │ 
│                           <Ok>                               <Annuler>

J'ai tenté " recommencer" sans autre résultat.

Sur le forum j'ai trouvé 2 sujets dont un me donne ça : https://debian-facile.org/doc:programmation:mysql

Avec mon amie gougle j'ai trouvé plein de pistes sur tout...............et on s'y perd vite.

Bon désolé le message parle de Gribi et nous voila à phpmyadmin, si un modo veut, j'ouvre un autre sujet.

Merci.

Hors ligne

#9 31-01-2016 18:21:03

smolski
administrateur quasi...modo
Lieu : AIN
Distrib. : 8 (jessie) 64 bits + backports
Noyau : 4.6.0-0.bpo.1-amd64
(G)UI : gnome 3.14.1
Inscription : 21-10-2008

Re : [RESOLU] problémes à l'installation de Grisbi sous Debian 8 sous KDE

oui ouvre un autre sujet, et fait un lien vers celui-ci si cela te paraît opportun. smile

"Définition d'eric besson : S'il fallait en chier des tonnes pour devenir ministre, il aurait 2 trous du cul." - JP Douillon
"L'utopie ne signifie pas l'irréalisable, mais l'irréalisée." - T Monod (source :  La zone de Siné)
"Je peux rire de tout mais pas avec n'importe qui." - P Desproges
"saque eud dun" (patois chtimi : fonce dedans)

En ligne

#10 31-01-2016 18:27:52

sagamore.fr
Membre
Lieu : Beaumont le Roger
Distrib. : Debian 8 64 bits
Noyau : Linux 3.16.0-4-amd64
(G)UI : KDE
Inscription : 23-12-2015
Site Web

Re : [RESOLU] problémes à l'installation de Grisbi sous Debian 8 sous KDE

C'est parti !

Hors ligne

Pied de page des forums